#@+leo
#@+node:0::@file settings_menu.py
#@+body
"""Create a settings menu to replace LeoConfig.leo"""

from leoPlugins import *
from leoGlobals import *

import leoApp,leoAtFile,leoDialog,leoFileCommands,leoFrame,leoNodes

if 0: # Register the handlers...

	settingsMenu = None


	#@+others
	#@+node:1::createSettingsMenu
	#@+body
	def createSettingsMenu (tag,keywords):
	
		c = keywords.get("c")
		
		global settingsMenu
		settingsMenu = c.frame.createNewMenu("&Settings")
	#@-body
	#@-node:1::createSettingsMenu
	#@-others

	
	# registerHandler("start1",onAfterFinishCreate)
	registerHandler("create-optional-menus",createSettingsMenu)

	__version__ = "0.1"
	plugin_signon(__name__)
#@-body
#@-node:0::@file settings_menu.py
#@-leo
